apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: bitwarden-0.0.0-760beb99
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: bitwarden
      name: bitwarden
      podspec:
        containers:
          - image: aep/aos/jammy/aep
            name: bitwarden
      provides:
        - exposed: true
          name: bitwarden-web
          network: loadbalanced
          servicespec:
            ports:
              - name: http
                port: 80
                protocol: TCP
              - name: https
                port: 443
                protocol: TCP
      sizing:
        increment: 1
        initial: 2
        maximum: 5
        minimum: 1
  dependencies:
    operator:
      name: bitwarden-operator
      vendor: asag
      version: 0.1.0
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.5.0
  name: bitwarden
  settings:
    - name: environment
      schema:
        default: bitwarden_prod
  version: 0.0.0-760beb99
